<?xml version="1.0" encoding="utf-8"?>
<Bases:ContentPageBase 
    xmlns="http://xamarin.com/schemas/2014/forms" 
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" 
    xmlns:prism="clr-namespace:Prism.Mvvm;assembly=Prism.Forms" 
    prism:ViewModelLocator.AutowireViewModel="True" 
    xmlns:b="clr-namespace:Prism.Behaviors;assembly=Prism.Forms" 
    x:Class="TermizApp.Views.Home.Historicos" 
    xmlns:MC="clr-namespace:Microcharts.Forms;assembly=Microcharts.Forms" 
    xmlns:chart="clr-namespace:Syncfusion.SfChart.XForms;assembly=Syncfusion.SfChart.XForms" 
    xmlns:Bases="clr-namespace:TermizApp.Controls.Bases" 
    xmlns:Controls="clr-namespace:TermizApp.Controls"
    xmlns:local="clr-namespace:TermizApp.Views.Home"
    xmlns:ViewCell="clr-namespace:TermizApp.Controls.ViewCells"
    xmlns:buttons="clr-namespace:Syncfusion.XForms.Buttons;assembly=Syncfusion.Buttons.XForms">    
    <Grid ColumnSpacing="30" RowSpacing="0">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="55" />
            <RowDefinition Height="55" />
            <RowDefinition Height="50" />
            <RowDefinition Height="*" />
        </Grid.RowDefinitions>
        <Bases:ToolbarBase 
            Grid.Row="0" 
            Grid.Column="0" />
        <Controls:ToolbarBottomCustom
            Grid.Row="1" 
            Grid.Column="0" 
            Margin="10,5">
            <Grid 
                RowSpacing="0" 
                ColumnSpacing="0">
                <Grid.RowDefinitions>
                    <RowDefinition Height="*" />
                </Grid.RowDefinitions>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>
                <Grid 
                    VerticalOptions="FillAndExpand" 
                    HorizontalOptions="FillAndExpand" 
                    Grid.Column="0" 
                    Grid.Row="0">
                    <Grid.RowDefinitions>
                        <RowDefinition Height="36" />
                    </Grid.RowDefinitions>
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="10*" />
                        <ColumnDefinition Width="10*" />
                        <ColumnDefinition Width="10*" />
                    </Grid.ColumnDefinitions>
                    <Picker 
                        Title="Región" 
                        ItemsSource="{Binding RegionesList}" 
                        ItemDisplayBinding="{Binding Nombre}" 
                        HorizontalOptions="FillAndExpand" 
                        SelectedItem="{Binding SelectedRegion,Mode=TwoWay}" 
                        FontSize="16"
                        TextColor="{StaticResource PrimaryColor}"
                        Grid.Row="0" 
                        Grid.Column="0" 
                        WidthRequest="300" />
                    <Picker 
                        Title="Sitio" 
                        ItemsSource="{Binding SitiosList}" 
                        ItemDisplayBinding="{Binding Nombre}" 
                        HorizontalOptions="FillAndExpand" 
                        SelectedItem="{Binding SelectedSitio,Mode=TwoWay}" 
                        FontSize="16" 
                        TextColor="{StaticResource PrimaryColor}"
                        Grid.Row="0" 
                        Grid.Column="1" 
                        WidthRequest="300" />
                    <Picker 
                        Title="Equipo" 
                        ItemsSource="{Binding EquiposList}"
                        ItemDisplayBinding="{Binding Nombre}"
                        HorizontalOptions="FillAndExpand"
                        SelectedItem="{Binding SelectedEquipo,Mode=TwoWay}"
                        FontSize="16"
                        TextColor="{StaticResource PrimaryColor}"
                        Grid.Row="0"
                        Grid.Column="2"
                        WidthRequest="300" />
                </Grid>
            </Grid>
        </Controls:ToolbarBottomCustom>
        <StackLayout
            Grid.Row="2" 
            Grid.Column="0"
            Margin="10,5"
            x:Name="stackPeridos">
            <buttons:SfSegmentedControl
                x:Name="segmentedControl"
                BorderColor="{StaticResource PrimaryColor}"
                SelectionTextColor="White"
                Color="White"
                BackgroundColor="Transparent"
                HorizontalOptions="FillAndExpand"
                CornerRadius="5"
                SegmentHeight="20"
                FontColor="#3F3F3F"
                VisibleSegmentsCount="3"
                SelectedIndex="{Binding SelectedPeriodo,Mode=TwoWay}"
                ItemsSource="{Binding ListaPeriodos}">
                <buttons:SfSegmentedControl.SelectionIndicatorSettings>
                    <buttons:SelectionIndicatorSettings
                        Color="{StaticResource PrimaryColor}"
                        Position="Fill">
                    </buttons:SelectionIndicatorSettings>
                </buttons:SfSegmentedControl.SelectionIndicatorSettings>
            </buttons:SfSegmentedControl>
        </StackLayout>
        <StackLayout 
            Grid.Row="3" 
            Grid.Column="0" 
            x:Name="stackChart">
            <StackLayout HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" Margin="10" IsVisible="true">
                <chart:SfChart x:Name="ChartHistoricos" HorizontalOptions="FillAndExpand" VerticalOptions="FillAndExpand" HeightRequest="250" WidthRequest="300">
                    <chart:SfChart.Legend>
                        <chart:ChartLegend />
                    </chart:SfChart.Legend>
                    <chart:SfChart.Title>
                        <chart:ChartTitle Text="Variables" TextColor="#1b2e48" FontFamily="Ubuntu" />
                    </chart:SfChart.Title>
                    <chart:SfChart.PrimaryAxis>
                        <chart:CategoryAxis>
                            <chart:CategoryAxis.Title>
                                <chart:ChartAxisTitle Text="Periodo" />
                            </chart:CategoryAxis.Title>
                        </chart:CategoryAxis>
                    </chart:SfChart.PrimaryAxis>
                    <chart:SfChart.SecondaryAxis>
                        <chart:NumericalAxis>
                            <chart:NumericalAxis.Title>
                                <chart:ChartAxisTitle Text="{Binding Unidad}" />
                            </chart:NumericalAxis.Title>
                        </chart:NumericalAxis>
                    </chart:SfChart.SecondaryAxis>
                    <chart:SfChart.ChartBehaviors>
                        <chart:ChartZoomPanBehavior ZoomMode="X"/>
                    </chart:SfChart.ChartBehaviors>
                    <chart:SfChart.Series>
                        <chart:FastLineSeries 
                            ItemsSource="{Binding ListHistoricos}" 
                            Label="{Binding Variable}" 
                            Color="#d2202f" 
                            XBindingPath="NoHora" 
                            YBindingPath="TagValue" 
                            EnableTooltip="True" 
                            EnableAnimation="true"
                            AnimationDuration="0.8">
                        </chart:FastLineSeries>
                    </chart:SfChart.Series>
                </chart:SfChart>
                <StackLayout VerticalOptions="End" Margin="10">
                    <Label Text="Variables" FontFamily="Ubuntu" HorizontalTextAlignment="Start" FontSize="Large" FontAttributes="Bold" />
                    <ListView 
                        SelectedItem="{Binding SelectedVariable}" 
                        ItemsSource="{Binding VariablesList}" 
                        BackgroundColor="Transparent">
                        <ListView.ItemTemplate>
                            <DataTemplate>
                                <ViewCell:VariableListViewCell/>
                            </DataTemplate>
                        </ListView.ItemTemplate>
                    </ListView>
                </StackLayout>
            </StackLayout>
        </StackLayout>
    </Grid>
</Bases:ContentPageBase>